> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Limit Order

> Places a Good-Till-Cancelled (GTC) limit order on the Polymarket CLOB. `negRisk` is auto-detected if not provided. Optional `expiration` is a Unix timestamp after which the order expires (0 = never).



## OpenAPI

````yaml POST /api/v1/simpleOrders/createLimitOrder
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/simpleOrders/createLimitOrder:
    post:
      tags:
        - Simple Orders
      summary: GTC limit order by token ID
      description: >-
        Places a Good-Till-Cancelled (GTC) limit order on the Polymarket CLOB.
        `negRisk` is auto-detected if not provided. Optional `expiration` is a
        Unix timestamp after which the order expires (0 = never).
      operationId: postCreateLimitOrder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - walletId
                - tokenId
                - side
                - price
                - size
              properties:
                walletId:
                  type: string
                  format: uuid
                tokenId:
                  type: string
                side:
                  type: string
                  enum:
                    - BUY
                    - SELL
                price:
                  type: number
                  minimum: 0.01
                  maximum: 0.99
                  description: Limit price (0.01–0.99).
                size:
                  type: number
                  description: Number of shares.
                negRisk:
                  type: boolean
                  description: Optional — auto-detected via CLOB if omitted.
                expiration:
                  type: integer
                  description: Unix timestamp expiry. 0 = never expires.
            example:
              walletId: 550e8400-e29b-41d4-a716-446655440000
              tokenId: >-
                71321045679252212594626385532706912750332728571942532289631379312455583992563
              side: BUY
              price: 0.45
              size: 100
      responses:
        '200':
          description: Limit order placed
          content:
            application/json:
              example:
                ok: true
                orderId: 0xghi...
                status: live
                latencyS: 0.41
                order:
                  tokenId: 713...
                  side: BUY
                  price: 0.45
                  size: 100
                  negRisk: false
                  negRiskSource: auto-detected
                  expiration: 0
        '400':
          description: Validation error or CLOB rejected
        '401':
          description: Invalid API key
        '404':
          description: Wallet not found or not provisioned
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Required for order endpoints. Obtain your API key from the Vatic
        dashboard.

````